Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ItemOperation

    java.lang.Object
      |
      +--com.compoze.collab.ItemOperation

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport

public class ItemOperation
extends java.lang.Object
implements com.compoze.collab.util.IDigestSupport

Defines an operation that can be performed on an item.

Constructor Summary
`ItemOperation(int iID, java.lang.Class[] operandTypes, java.lang.String sInternalName)` Construct an ItemOperation that takes operands.
`ItemOperation(int iID, java.lang.String sInternalName)` Construct an ItemOperation that takes no operands.

Method Summary
`void` | `checkOperandTypes(com.compoze.collab.spi.Context context, java.lang.Object[] params)` Check whether parameters are compatible with the specified parameter types for this ItemOperation.
`java.lang.String` | `getInternalName()` Gets the internal name of the item operation (used for debugging purposes).
`int` | `getIntValue()` Gets the integer value of the operation so it can be switched on.
`java.lang.Class[]` | `getOperandTypes()` Get the operand types.
`java.lang.String` | `toString()`
`void` | `updateDigest(java.security.MessageDigest digest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemOperation

    public ItemOperation(int iID,
                         java.lang.String sInternalName)

  Construct an ItemOperation that takes no operands.
  Parameters:
    `iID` - the int ID

### ItemOperation

    public ItemOperation(int iID,
                         java.lang.Class[] operandTypes,
                         java.lang.String sInternalName)

  Construct an ItemOperation that takes operands.
  Parameters:
    `iID` - the int ID
    `operandTypes` - the type for each elements of params[]

Method Detail

### getInternalName

    public java.lang.String getInternalName()

  Gets the internal name of the item operation (used for debugging purposes).
  Returns:
    the internal name (not `null`)

### getIntValue

    public int getIntValue()

  Gets the integer value of the operation so it can be switched on.
  Returns:
    the int value

### getOperandTypes

    public java.lang.Class[] getOperandTypes()

  Get the operand types.
  Returns:
    the operand types

### checkOperandTypes

    public final void checkOperandTypes(com.compoze.collab.spi.Context context,
                                        java.lang.Object[] params)
                                 throws CollaborationRuntimeException

  Check whether parameters are compatible with the specified parameter types for this ItemOperation.
  Parameters:
    `context` -
    `params` -
  Throws:
    `CollaborationRuntimeException` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

  Specified by:
    `updateDigest` in interface `com.compoze.collab.util.IDigestSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.